package registration;

import java.rmi.*;
import java.util.*;

public interface RegistrationHome extends Remote {
    RegistrationPK create(String theuser, String password, 
		String emailaddress, String creditcard) 
		throws CreateException, RemoteException;

    Registration findByPrimaryKey(RegistrationPK theuser) 
		throws FinderException, RemoteException;
    public void findLowCreditAccounts(ReturnResults rr) 
		throws FinderException, RemoteException;
}
